/*
 * curses1.c -- A simple curses/ncurses program.
 *
 * Author: Randy L. Pearson
 * Date:   6 Jul 2004
 */
 
#include <unistd.h>
#include <stdlib.h>
#include <ncurses.h>

int main()
{
	/* This must be called before any other curses functions. */
	initscr();
	
	move( 5, 15 );
	printw( "%s", "Hello from Curses" );
	refresh();
	sleep(2);
	
	endwin();
	sleep(1);
	
	clearok(stdscr,1);
	refresh();
	sleep(1);
	
	clear();
	refresh();
	sleep(1);
	
	box( stdscr, ACS_VLINE, ACS_HLINE );
	move( 15, 5 );
	printw( "%s", "Hello Again" );
	refresh();
	sleep(3);

	/* This must be called before exiting */	
	endwin();
	
	return 0;
}
